package com.qmth.sop.business.bean.params;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.sop.common.annotation.EditKey;
import com.qmth.sop.common.enums.ProductTypeEnum;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;

public class CustomReceiverParam {

    @ApiModelProperty(value = "ID")
    @JsonSerialize(using = ToStringSerializer.class)
    @EditKey
    private Long id;

    @ApiModelProperty(value = "业务类型")
    @NotNull(message = "请选择业务类型")
    private ProductTypeEnum type;

    @ApiModelProperty(value = "客户名称")
    @NotNull(message = "请输入客户名称")
    private String name;

    @ApiModelProperty(value = "具体单位")
    private String unit;

    @ApiModelProperty(value = "收件人")
    @NotNull(message = "请输入收件人")
    private String consignee;

    @ApiModelProperty(value = "收件人电话")
    @NotNull(message = "请输入收件人电话")
    private String consigneePhone;

    @ApiModelProperty(value = "收件人地址")
    @NotNull(message = "请输入收件人地址")
    private String consigneeAddress;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public ProductTypeEnum getType() {
        return type;
    }

    public void setType(ProductTypeEnum type) {
        this.type = type;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    public String getConsignee() {
        return consignee;
    }

    public void setConsignee(String consignee) {
        this.consignee = consignee;
    }

    public String getConsigneePhone() {
        return consigneePhone;
    }

    public void setConsigneePhone(String consigneePhone) {
        this.consigneePhone = consigneePhone;
    }

    public String getConsigneeAddress() {
        return consigneeAddress;
    }

    public void setConsigneeAddress(String consigneeAddress) {
        this.consigneeAddress = consigneeAddress;
    }
}
